PETSc version 3.15.5
Fix/Edit manual page

# VecSum

Computes the sum of all the components of a vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSum(Vec v,PetscScalar *sum)

Collective on Vec

### Input Parameter

| v | - the vector

### Output Parameter

| sum | - the result

### See Also

VecNorm()

### Level

beginner

### Location

src/vec/vec/utils/vinv.c

### Examples

src/vec/vec/tutorials/ex18.c.html
src/ksp/ksp/tutorials/ex59.c.html
src/ts/tutorials/ex9.c.html
src/ts/tutorials/extchem.c.html
src/tao/unconstrained/tutorials/spectraladjointassimilation.c.html
src/tao/constrained/tutorials/tomographyADMM.c.html
src/tao/pde_constrained/tutorials/elliptic.c.html
src/tao/pde_constrained/tutorials/hyperbolic.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages